Role Playing Database (API Documentation) 3.1.3

Public Member Functions | Static Public Member Functions | List of all members
RolePlayingDB3::SpaceEditor Class Reference

## Public Member Functions
| getspacefile ()
| setdirty ()
| checksave ()
| new ()
| open ()
| save ()
| saveas (_filename="")
| print ()
| close (...)
| SpaceEditor (...)
| colorchanged ()
| getcolor ()
| redrawspace ()
| recreateXML ()

## Static Public Member Functions
static | new (...)
static | open (...)
static | printSpace (pdfobj, spacefile, curpageV, curlineV, heading,...)

## Detailed Description

Space edit widget.

## Constructor & Destructor Documentation

## ◆ SpaceEditor()

RolePlayingDB3::SpaceEditor::SpaceEditor | ( |  | ... | ) |

Constructor – construct a space edit widget.

Parameters

  widgetpage | The widget path.
  ... | Options: -template The template XML to use for a new space. -mapbundlemountpoin The map bundle mount point. -leveleditor The level editor. -spacefile The space filename.

## Member Function Documentation

## ◆ checksave()

RolePlayingDB3::SpaceEditor::checksave | ( |  | ) |

Check if saving is needed.

## ◆ close()

RolePlayingDB3::SpaceEditor::close | ( |  | ... | ) |

Close the current space.

Parameters

  ... | Options: -dontask Flag to supress asking. -dontsave Flag to supress saving. -closingallwindows Flag to indicating that all windows are being closed.

## ◆ colorchanged()

RolePlayingDB3::SpaceEditor::colorchanged | ( |  | ) |

Update on color change.

## ◆ getcolor()

RolePlayingDB3::SpaceEditor::getcolor | ( |  | ) |

Get the current color.

Returns
  the current color.

## ◆ getspacefile()

RolePlayingDB3::SpaceEditor::getspacefile | ( |  | ) |

Retrieve the current space file.

Returns
  the current space file.

## ◆ new() [1/2]

RolePlayingDB3::SpaceEditor::new | ( |  | ) |

Create a new space.

## ◆ new() [2/2]

static RolePlayingDB3::SpaceEditor::new | ( |  | ... | ) |
| static

Create a new space.

Parameters

  ... | Options: -mapbundlemountpoint The map bundle mount point. -parent The parent window. -leveleditor The level editor. -leveldir The level directory. -newspace The new space file.

Returns
  the new toplevel.

## ◆ open() [1/2]

RolePlayingDB3::SpaceEditor::open | ( |  | ) |

Open an existing space file.

## ◆ open() [2/2]

static RolePlayingDB3::SpaceEditor::open | ( |  | ... | ) |
| static

Open an existing space file.

Parameters

  ... | Options: -mapbundlemountpoint The map bundle mount point. -parent The parent window. -leveleditor The level editor. -leveldir The level directory. -spacefile The new space file.

Returns
  the new toplevel.

## ◆ print()

RolePlayingDB3::SpaceEditor::print | ( |  | ) |

Print the current space.

## ◆ printSpace()

static RolePlayingDB3::SpaceEditor::printSpace | ( | pdfobj | ,
|  | spacefile | ,
|  | curpageV | ,
|  | curlineV | ,
|  | heading | ,
|  |  | ...
| ) |  |
| static

Print a space (to a PDF file).

Parameters

  pdfobj | The PDF Object to print to.
  spacefile | The space file to print.
  curpageV | The current page variable.
  curlineV | The current line variable.
  heading | The heading.
  ... | Options: -mapbundlemountpoint The map bundle mount point. -leveldir The level directory. -parent The parent window. -mapeditor The parent map editor.

## ◆ recreateXML()

RolePlayingDB3::SpaceEditor::recreateXML | ( |  | ) |

Regenerate the XML string.

## ◆ redrawspace()

RolePlayingDB3::SpaceEditor::redrawspace | ( |  | ) |

Redraw the space.

## ◆ save()

RolePlayingDB3::SpaceEditor::save | ( |  | ) |

Save the current space to the current file.

## ◆ saveas()

RolePlayingDB3::SpaceEditor::saveas | ( | _filename | = `""` | ) |

Save the current space to a new file.

Parameters

  _filename | The file name to save to.

## ◆ setdirty()

RolePlayingDB3::SpaceEditor::setdirty | ( |  | ) |

Set the dirty flag.

The documentation for this class was generated from the following file:

- RPGMapLevelSpace.tcl